import React, { PureComponent } from 'react';
import { getImageUrl } from 'educoder';

import './comment.css';


class CommentsItemImg extends PureComponent{
  render(){
    const { image_url } = this.props

    return(
      <img alt="用户头像" src={getImageUrl(`images/${image_url}`)} width="64" height="64" className="radius mr20"></img>
    )
  }
}

export default CommentsItemImg;