import React, { PureComponent } from 'react';
import ExchangeItem from '../ExchangeItem'
import Empty from '../Empty'

import '../exchange.css'
import './plate.css'
class All extends PureComponent{
  state = {
    condition:"all"
  }

  componentDidMount = () =>{
    const { condition } = this.props;
    this.setState({
      condition
    })
  }

  render(){

    const { memos } = this.props;

    const memosList = (
      memos && memos.length > 0 ? 
      <ExchangeItem memos={ memos } {...this.props} {...this.state}></ExchangeItem>
      :
      <div className="pt50 pb50">
        <Empty/>
      </div>
    )
    return(
      memosList
    )
  }
}
export default All;