import React from 'react';
import styled from 'styled-components';

export default (({fork,parise})=>{
  const DivStyle = styled.div`{
    display:flex;
    align-item:center;
  }`;
  const SpanStylefork = styled.span`{
    display:flex;
    align-item:center;
    margin-left:30px;
    padding:0px 12px;
    border-radius:13px;
    background-color:#EBF4FE;
    height:24px;
    line-height:24px;
    font-size:12px;
  }`;
  const SpanStyleparise = styled.span`{
    display:flex;
    align-item:center;
    margin-left:30px;
    padding:0px 12px;
    border-radius:13px;
    background-color:#FFF3DC;
    height:24px;
    line-height:24px;
    font-size:12px;
  }`;
  return(
    <DivStyle>
      {
        fork || fork ===0 ? <SpanStylefork><i className="iconfont icon-fork font-15 mr3" style={{color:"#1B8FFF"}}></i>fork({fork})</SpanStylefork>:""
      }
      {
        parise || parise ===0?<SpanStyleparise><i className="iconfont icon-guanzhu font-14 mr3" style={{color:"#FFA802"}}></i>点赞({parise})</SpanStyleparise>:""
      }
    </DivStyle>
  )
})