import React from 'react';
import { FlexAJ , Blueline , AlignCenter } from '../Component/layout';
import styled from 'styled-components';
import { Menu } from 'antd';
import { TagsLine } from '../Component/OpsStatus';

const SubMenu = Menu.SubMenu;
const Img = styled.img`{
  width:25px;
  height:25px;
  border-radius:50%;
  margin-right:10px;
}`
export default (()=>{
  return(
    <div>
      <FlexAJ className="leftheader">
        <AlignCenter>
          <Img src="https://dss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=2091711702,2468700162&fm=111&gp=0.jpg"/>
          <span className="nest">开始时间：<span>2020.07.10 15:30</span></span>
          <span className="nest">运行时间：<span>20s</span></span>
        </AlignCenter>
        <Blueline>重新创建</Blueline>
      </FlexAJ>
      <div className="leftMainContent">
        <AlignCenter className="contentBranch">
          <i className="iconfont icon-fenzhi1"></i>
          <span>分支：</span>
          <span className="branchname">master</span>
          <span className="branchsha">8b3476f5</span>
        </AlignCenter>
      </div>
      <Menu mode='inline' className="leftMenu">
        <SubMenu title={<div><i className="iconfont icon-gongzuoliu font-14 mr4"></i><span>CI</span></div>}>
          <Menu.Item>
            <FlexAJ><span>Build setup 01 {TagsLine(1)}</span><span>20s</span></FlexAJ>
          </Menu.Item>
        </SubMenu>
      </Menu>
    </div>
  )
})