import React, { Component } from "react";
import { Tabs, Empty } from "antd";
import "../Order/order.css";
import "./merge.css";
import CodesCommit from "../Main/CoderRootCommit";
import Comments from "../comments/comments";

const { TabPane } = Tabs;

class MergeFooter extends Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const { footer_type, order_id } = this.props;
    return (
      <div>
        <Tabs
          defaultActiveKey={footer_type === "show" ? "1" : "2"}
          className="custom-commit-tabs"
        >
          {
            footer_type === "show" && 
            <TabPane tab={<span className="ml-3 font-16">评论</span>} key="1">
            <Comments
              order_id={order_id}
              showNotification={this.props.showNotification}
              only_show_content={true}
              {...this.props}
            />
          </TabPane>
          }
          
          {/* <TabPane tab={<span className="ml-3 font-16">提交</span>} key="2">
            <CodesCommit {...this.props} main_class="pd10"></CodesCommit>
          </TabPane> */}
          {/* <TabPane tab={<span className="ml-3 font-16">文件</span>} key="3">
            <Empty />
          </TabPane> */}
        </Tabs>
      </div>
    );
  }
}
export default MergeFooter;
