import React from 'react';


export default (({ name , count , bottom , children })=>{
  return(
    <div className="box">
      <div className="head">
        <span>{name}</span>
        <span>{count}<i className="iconfont icon-youjiantou font-12 ml3"></i></span>
      </div>
      <div className="content">
        {children}
      </div>
      {
        bottom ? 
        <div className="foot">
          {bottom}
        </div>
        :""
      }
    </div>
  )
})
