import React from 'react';
import { Banner } from '../Component/layout';
import styled from 'styled-components';

const SpanName = styled.span`{
  font-size:16px;
  color:#333;
}`
const SpanFoot = styled.span`{
  margin-right:5px;
  color:#333
}`
const ALink = styled.a`{
  border:1px solid #F73030;
  color:#F73030!important;
  height:30px;
  line-height:30px;
  padding:0px 15px;
  border-radius:5px;
}`
const ImgContent = styled.img`{
  height:44px;
  width:44px;
  border-radius:50%;
  margin:5px 20px 5px 0px;
}`
export default (()=>{
  return(
    <div>
      <Banner>组织团队</Banner>
      <div className="groupBox">
        <div>
          <p className="g-head">
            <SpanName>oweners</SpanName>
            <ALink>离开团队</ALink>
          </p>
          <div className="g-body">
            <ImgContent src="https://dss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=3331079987,1190181307&fm=111&gp=0.jpg"/>
            <ImgContent src="https://dss2.bdstatic.com/70cFvnSh_Q1YnxGkpoWK1HF6hhy/it/u=3331079987,1190181307&fm=111&gp=0.jpg"/>
          </div>
          <p className="g-foot">
            <SpanFoot>2&nbsp;名成员</SpanFoot>
            <SpanFoot>1&nbsp;个项目</SpanFoot>
          </p>
        </div>
      </div>
    </div>
  )
})