import React from "react";
import { Pagination } from "antd";

export default (({page,total,changePage , pageSize}) => {
  return (
    total > pageSize ?
    <div className="center" style={{ padding: "25px 0px" }}>
      <Pagination
        showQuickJumper
        current={page}
        onChange={changePage}
        total={total}
        pageSize={pageSize}
      />
    </div>:""
  );
});
