import React from 'react';
import { AlignCenter } from '../css/layout';
import styled from 'styled-components';
import { Link } from 'react-router-dom';

const Img = styled.img`{
  width:20px;
  height:20px;
  border-radius:50%;
  margin-right:10px;
}`
const Span = styled.span`{
  color:#999;
}`
export default (({name,url,login})=>{
  return(
    <Link to={`/accounts/${login}`}>
      <AlignCenter>
        <Img src={url}/>
        <Span>{name}</Span>
      </AlignCenter>
    </Link>
  )
})