import React, { useState, useEffect } from "react";
import { List } from "antd";
import CommentList from "./comment_list";
function children_journals({ replies, user_image, current_login }) {
  
  return (
    <div className="children-memo-item">
      <List
        size="large"
        header=""
        dataSource={replies}
        renderItem={(item) => (
          <List.Item>
            <CommentList
              item={item}
              user_image={user_image}
              current_login={current_login}
              is_children={true}
            ></CommentList>
          </List.Item>
        )}
      />
    </div>
  );
}
export default children_journals;
