import React from 'react';
import RenderHtml from '../../../components/render-html';

const ChooseAnswerView = ({ gameAnswer, classes }) => {
  if (!gameAnswer) {
    return ''
  }
  return (
    <div>
      {gameAnswer.map((n, index) => {
        return (
          <div key={index} className="mb20">
            <p>第{index + 1}题</p>
            <RenderHtml value={n.answer} />
          </div>
        );
      })}
    </div>
  )
}

export default ChooseAnswerView;
