import React, { Component } from 'react';
import { getImageUrl , getUrl } from 'educoder';
import './Repository.css';
class RepositoryNoneData extends Component{
  constructor(props) {
    super(props)
  }
  render(){
    const { style } = this.props;
    return(
      <div className="mt20 clearfix edu-txt-center" style={ style || { width:"100%" }}>
        <style>
          {`
            .edu-tab-con-box{
              padding:100px 0px;
            }
            .ant-modal-body .edu-tab-con-box{
              padding:0px!important;
            }
            img.edu-nodata-img{
              margin: 40px auto 20px;
            }
            .RepositoryNoneDataimg{
                width: 90%;
                height: 100%;
            }
          `}
        </style>
        <img className="RepositoryNoneDataimg mb30" src={getUrl("/images/educoder/RepositoryNoneData.png")}/>

        <div className="edu-nodata-p  font-14">
            <div>此处存放本实训所需的所有代码等相关文件，你可以通过以下两种方式来使用：</div>
        </div>
        <div className="edu-nodata-p  font-14">
            <div className={"width490Repository"}>1、<span><a className={"color5091FF"} href="/forums/2784" target="_blank">Git客户端</a></span>上传已有文件来开始使用。</div>
        </div>
        <div className="edu-nodata-p mb50 font-14">
            <div className={"width490Repository"}>2、直接在平台上创建文件目录以及相关代码文件。</div>
        </div>
      </div>
    )
  }
}
export default RepositoryNoneData;