import React, { PureComponent } from 'react';

import { getImageUrl } from 'educoder';

class Index extends PureComponent {

  render(){
    let { topClass , bestClass } = this.props;
    return(
      <React.Fragment>
        { topClass && <img alt="" src={getImageUrl("images/plate/top.png")} width="42px" className={ topClass }></img> }
        { bestClass && <img alt="" src={getImageUrl("images/plate/best.png")} width="28px" className={ bestClass }></img> }
      </React.Fragment>
    )
  }
}

export default Index;