import React from 'react';
import './Component.scss';

export default (({img , title, desc , rightBtn})=>{
  return(
    <div className="cards">
      <div className="img"><img src={img} alt=""/></div>
      <div className="content">
        <p className="titles">
          <span>{title}</span>
          {rightBtn}
        </p>
        <div className="desc">
          {desc}
        </div>
      </div>
    </div>
  )
})