import React from 'react';
import './ops.scss';
import { FlexAJ, AlignCenter } from '../Component/layout';
import { Tags } from '../Component/OpsStatus';
import SplitPane from 'react-split-pane';
import LeftPanel from './OpsDetailLeftpanel';
import RightPanel from './OpsDetailRightpanel';


export default (()=>{
  return(
    <div className="opsDetailPanel">
      <FlexAJ className="opsInfos">
        <AlignCenter>
          <span>#1</span>
          <span className="ml10">将分支“221063-improve-buy-ci-minutes-link”合并到“221063-improve-buy-ci-minutes-link"</span>
          {Tags(1)}
        </AlignCenter>
        <a style={{color:"#ddd"}}><i className="iconfont icon-yiguanbi font-15  mr5"></i>退出</a>
      </FlexAJ>
      <div className="opsSection">
        <SplitPane className="outer-split-pane" split="vertical" minSize={468} maxSize={-350} defaultSize="40%">
          <section className="leftSection">
            <LeftPanel />
          </section>
          <section className="rightSection">
            <RightPanel />
          </section>
        </SplitPane>
      </div>
    </div>
  )
});