/*
 * @Description: action类型
 * @Author: tangjiang
 * @Date: 2019-11-13 20:05:39
 * @Last Modified by: tangjiang
 * @Last Modified time: 2019-11-14 09:29:45
 */
const types = {
  ADD_TODO: 'ADD_TODO',
  GET_OJ_LIST: 'GET_OJ_LIST', // JC 列表
  SAVE_OJ_FORM_ID: 'SAVE_OJ_FORM_ID', // 保存OJ form表单信息
  GET_OJ_BY_ID: 'GET_OJ_BY_ID', // 根据 id 号获取ojList中的数据
  SAVE_OJ_FORM_CODE: 'SAVE_OJ_FORM_CODE', // 代码
  VALIDATE_OJ_FORM: 'VALIDATE_OJ_FORM', // 验证表单
  VALIDATE_OJ_NAME: 'VALIDATE_OJ_NAME', // 任务名称
  VALIDATE_OJ_LANGUAGE: 'VALIDATE_OJ_LANGUAGE', // 编程语言
  VALIDATE_OJ_DESCRIPTION: 'VALIDATE_OJ_DESCRIPTION', // 描述
  VALIDATE_OJ_TEST_SET_SCORE: 'VALIDATE_OJ_TEST_SET_SCORE', // 测试集得分规则
  VALIDATE_OJ_TEST_SET_AVERAGE:'VALIDATE_OJ_TEST_SET_AVERAGE',
  CHANGE_EQUAL:'CHANGE_EQUAL',//均分
  VALIDATE_OJ_DIFFICULT: 'VALIDATE_OJ_DIFFICULT', // 难易度
  VALIDATE_OJ_TIMELIMIT: 'VALIDATE_OJ_TIMELIMIT', // 时间限制
  VALIDATE_OJ_CATEGORY: 'VALIDATE_OJ_CATEGORY', // 分类
  VALIDATE_OJ_SUB_DISCIPLINE_ID: 'VALIDATE_OJ_SUB_DISCIPLINE_ID', // 方向
  VALIDATE_OJ_OPENORNOT: 'VALIDATE_OJ_OPENORNOT', // 公开程序
  SAVE_TAG_DISCIPLINE_ID: 'SAVE_TAG_DISCIPLINE_ID', // 保存知识点
  SAVE_OJ_FORM: 'SAVE_OJ_FORM', // 保存表单
  ADD_TEST_CASE: 'ADD_TEST_CASE', // 添加测试用例
  DELETE_TEST_CASE: 'DELETE_TEST_CASE', // 删除测试用例
  SAVE_TEST_CASE: 'SAVE_TEST_CASE', // 保存测试用例
  SAVE_USE_TEST_CASE_VALUE: 'SAVE_USE_TEST_CASE_VALUE', // 用户自定义测试用例值
  CHANGE_PUBLISH_VALUE: 'CHANGE_PUBLISH_VALUE', // 改变发布状态值
  CLEAR_JSFORM_STORE: 'CLEAR_JSFORM_STORE', // 清空测试用例
  SAVE_EDIT_OJ_FORM_AND_TEST_CASE: 'SAVE_EDIT_OJ_FORM_AND_TEST_CASE', // 保存根据id获取的表单及测试用例值
  TEST_CODE_STATUS: 'TEST_CODE_STATUS', // 代码调试状态
  VALIDATE_TEST_CODE_ARRS: 'VALIDATE_TEST_CODE_ARRS', // 更改测试用例验证结果
  TEST_CASE_INPUT_CHANGE: 'TEST_CASE_INPUT_CHANGE', // 测试用例输入值改变时
  TEST_CASE_OUTPUT_CHANGE: 'TEST_CASE_OUTPUT_CHANGE', // 测试用例输出值改变时
  TEST_CASE_SCORE_CHANGE: 'TEST_CASE_SCORE_CHANGE', // 占比
  DEBUGGER_CODE: 'DEBUGGER_CODE', // 调试代码
  GET_COURSE_QUESTION: 'GET_COURSE_QUESTION', // 获取编辑题
  CHANGE_KNOWLEDGES: 'CHANGE_KNOWLEDGES', // 保存所选择的知识点
  SET_OJ_INITIAL_VALUE: 'SET_OJ_INITIAL_VALUE', // 设置初始值
  SET_SEARCH_PARAMS: 'SET_SEARCH_PARAMS', // 只在地址栏参数
  // study
  SAVE_USER_PROGRAM_ID: 'SAVE_USER_PROGRAM_ID',// 保存用户编程题id值
  USER_PROGRAM_DETAIL: 'USER_PROGRAM_DETAIL', // 用户编程题详情
  SHOW_OR_HIDE_CONTROL: 'SHOW_OR_HIDE_CONTROL', // 显示或隐藏控制台
  LOADING_STATUS: 'LOADING_STATUS', // loading状态
  COMMIT_RECORD_DETAIL: 'COMMIT_RECORD_DETAIL', // 提交记录详情
  COMMIT_RECORD: 'COMMIT_RECORD', // 提交记录
  SAVE_USER_CODE: 'SAVE_USER_CODE', // 用户编辑的代码块
  IS_UPDATE_CODE: 'IS_UPDATE_CODE', // 是否更新代码块内容
  CHANGE_USER_CODE_TAB: 'CHANGE_USER_CODE_TAB', // 切换学员测评tab
  SUBMIT_LOADING_STATUS: 'SUBMIT_LOADING_STATUS', // 提交按钮状态值
  PUBLISH_LOADING_STATUS: 'PUBLISH_LOADING_STATUS', // 发布按钮
  IS_MY_SOURCE: 'IS_MY_SOURCE',
  CHANGE_PAGINATION_INFO: 'CHANGE_PAGINATION_INFO', // 改变分页数据
  UPDATE_TEST_AND_VALIDATE: 'UPDATE_TEST_AND_VALIDATE', // 更新测试用例及验证值
  UPDATE_OPEN_TESTCASE_INDEX: 'UPDATE_OPEN_TESTCASE_INDEX', // 更新测试用例索引
  GET_COMMIT_RECORD_DETAIL_BY_ID: 'GET_COMMIT_RECORD_DETAIL_BY_ID', // 根据id号获取提交记录详情
  RESTORE_INITIAL_CODE: 'RESTORE_INITIAL_CODE', // 恢复初始代码
  SAVE_USER_INFO: 'SAVE_USER_INFO', // 只在用户信息
  SAVE_HACK_IDENTIFIER: 'SAVE_HACK_IDENTIFIER', // 用户界面跑到编辑界面需要用的id值
  SAVE_EDITOR_CODE: 'SAVE_EDITOR_CODE', // 保存详情页面中编辑时的代码
  CLICK_OPERATE_TYPE: 'CLICK_OPERATE_TYPE', // 点击类型
  CLEAR_OJ_FOR_USER_REDUCER: 'CLEAR_OJ_FOR_USER_REDUCER', // 退出时清空 ojForUserReducer保存内容
  ADD_OJ_LIKE_COUNT: 'ADD_OJ_LIKE_COUNT', // 增加点赞数
  CHANGE_RECORD_PAGINATION_PAGE: 'CHANGE_RECORD_PAGINATION_PAGE', // 改变提交分页
  UPDATE_OJ_FOR_USER_COMMENT_COUNT: 'UPDATE_OJ_FOR_USER_COMMENT_COUNT', // 更新 hack 中的评论数,
  UPDATE_NOTE_CONTENT: 'UPDATE_NOTE_CONTENT', // 更新笔记内容
  UPDATE_HACK_PASSED: 'UPDATE_HACK_PASSED',
  /*** jupyter  */
  GET_JUPYTER_DATA_SETS: 'GET_JUPYTER_DATA_SETS', // jupyter 数据集
  GET_JUPYTER_TPI_URL: 'GET_JUPYTER_TPI_URL', // 获取 jupyter url
  SAVE_JUPYTER_IDENTIFIER: 'SAVE_JUPYTER_IDENTIFIER', // 保存jupyter identifier
  SAVE_JUPYTER_INFO: 'SAVE_JUPYTER_INFO', // 保存 jupyter 信息
  CHANGE_JUPYTER_URL_STATE: 'CHANGE_JUPYTER_URL_STATE', // 获取url返回的状态值
  SAVE_JUPYTER_TPI: 'SAVE_JUPYTER_TPI', // 保存 jupyter tpi
  CHANGE_JUPYTER_CURRENT_PAGE: 'CHANGE_JUPYTER_CURRENT_PAGE',
  SAVE_NOTICE_COUNT: 'SAVE_NOTICE_COUNT', // 保存代码块是否更新
  AUTO_UPDATE_CODE: 'AUTO_UPDATE_CODE', // 自动更新代码
  CHANGE_SHOW_DRAWER: 'CHANGE_SHOW_DRAWER',
  CHANGE_JYPYTER_TIME: 'CHANGE_JYPYTER_TIME',//增加15分钟
  CHANGE_EXTENDED_TIME: 'CHANGE_EXTENDED_TIME',//延时
  CHANGE_UPDETA_SPIN: 'CHANGE_UPDETA_SPIN',//加载
  /*** 评论 */
  ADD_COMMENTS: 'ADD_COMMENTS', // 添加评论
  GET_COMMENT_LISTS: 'GET_COMMENT_LISTS', // 获取评论列表
  REPLAY_CHILD_COMMENTS: 'REPLAY_CHILD_COMMENTS', // 子回复
  DELETE_COMMENTS: 'DELETE_COMMENTS', // 删除评论
  SAVE_COMMENT_IDENTIFIER: 'SAVE_COMMENT_IDENTIFIER', // 评论时的identifier
  CHANGE_COMMENT_PAGINATION_PARAMS: 'CHANGE_COMMENT_PAGINATION_PARAMS', // 改变分页
  /** tpi */
  SHOW_OR_HIDE_TPI_TEST_CASE: 'SHOW_OR_HIDE_TPI_TEST_CASE', // 显示或隐藏tpi测试集弹框
  IS_COLLAPSE_TEST_CASE: 'IS_COLLAPSE_TEST_CASE', // 是否展开测试集
  /** 统计 */
  GET_STATIC_INFO: 'GET_STATIC_INFO',
  CHANGE_STATIC_PARAMS: 'CHANGE_STATIC_PARAMS',
  CHANGE_STATIC_TOTAL: 'CHANGE_STATIC_TOTAL',
  /** 微信 */
  GET_WXCODE_BY_IDENTIFIER: 'GET_WXCODE_BY_IDENTIFIER',
  GET_WXCODE_TEST_CASE: 'GET_WXCODE_TEST_CASE',
  UPDATE_WXCODE_BY_IDENTIFIER: 'UPDATE_WXCODE_BY_IDENTIFIER',
  UPDATE_WXCODE_FOR_EDITOR: 'UPDATE_WXCODE_FOR_EDITOR',
  IS_SHOW_WXCODE_TEST_CASES: 'IS_SHOW_WXCODE_TEST_CASES',
  SHOW_WX_CODE_LOADING: 'SHOW_WX_CODE_LOADING',
  SHOW_WX_CODE_DIALOG: 'SHOW_WX_CODE_DIALOG',
  SET_GOLD_AND_EXPERIENCE: 'SET_GOLD_AND_EXPERIENCE'
}

export default types;
