import React from "react";
import { Card, Col, Avatar } from "antd";
import { getUrl } from "educoder";
import "./user.scss";

function block_item({ item, key }) {

  return (
    <Col
    span={8}
    className="project-card-item forum-section-card"
    key={key}
  >
    <Card bordered={false} hoverable={true}>
      <a href={`/accounts/${item.login}`} className="block-item-user">
      <Avatar
            size={64}
            src={getUrl(item.image_url)}
          ></Avatar>
        <div className="mt15">
          <span className="font-16 color-black">
          {item.username}
          </span>
        </div>
        <div className="color-grey font-14 mt15">
          {item.brief ? item.brief : "这家伙太懒了，还未填写个人描述！"}
        </div>
      </a>
      {/* <div className="block-item-user">
      
      </div> */}
    </Card>
  </Col>
  );
}
export default block_item;
